import request from "@/utils/request.js";

/**
 * @description 用户列表
 * @param {*} (pageNum,pageSize)
 * @returns data
 */
export function userListApi(params) {
  return request({
    url: `/wxCUserBasicInfo/list`,
    method: 'get',
    params
  })
}
// 绑定定制模板
export function personMouldListApi(pageNum, pageSize) {
  return request({
    url: `/personMould/alList?onlyCustomizedQuery=1&pageNum=${pageNum}&pageSize=${pageSize}`,
    method: 'get'
  })
}
// 绑定定制模板-已关联模版
export function userPersonMouldIdListApi(cUserId) {
  return request({
    url: `/personMould/userPersonMouldIdList?cUserId=${cUserId}`,
    method: 'get'
  })
}

// 绑定定制模板-关联模版
export function associatedUserMouldsApi(data) {
  return request({
    url: `/personMould/associatedUserMoulds`,
    method: 'post',
    data
  })
}
// 绑定定制声纹
export function voiceMouldListApi(pageNum, pageSize) {
  return request({
    url: `/voiceMould/alList?onlyCustomizedQuery=1&pageNum=${pageNum}&pageSize=${pageSize}`,
    method: 'get'
  })
}
// 绑定定制声纹-已关联模版
export function userVoiceIdListApi(cUserId) {
  return request({
    url: `/voiceMould/userVoiceIdList?cUserId=${cUserId}`,
    method: 'get'
  })
}

// 绑定定制声纹-关联模版
export function associatedUserVoicesApi(data) {
  return request({
    url: `/voiceMould/associatedUserVoices`,
    method: 'post',
    data
  })
}

/**
 * @description 用户列表查看
 * @param {*}
 * @returns 
 */
export function userListFindByIdApi(id) {
  return request({
    url: `/wxCUserBasicInfo/findById?id=${id}`,
    method: 'get'
  })
}

/**
 * @description 私人定制模板列表
 * @param {*} (pageNum,pageSize)
 * @returns data
 */
export function userMouldListApi(params) {
  return request({
    url: `/personMould/userMouldList`,
    method: 'get',
    params
  })
}
/**
 * @description 私人定制声纹列表
 * @param {*} (pageNum,pageSize)
 * @returns data
 */
export function userVoiceListAPi(params) {
  return request({
    url: `/voiceMould/userVoiceList`,
    method: 'get',
    params
  })
}

/**
 * @description 充值列表
 * @param {*} (pageNum,pageSize)
 * @returns data
 */
export function rechargeListApi(params) {
  return request({
    url: `/productOrder/paiedOrders`,
    method: 'get',
    params
  })
}

/**
 * @description 视频列表
 * @param {*} (pageNum,pageSize)
 * @returns data
 */
export function videoListApi(params) {
  return request({
    url: `/userVideo/list`,
    method: 'get',
    params
  })
}

/**
 * @description 视频列表-查看
 * @param {*}
 * @returns 
 */
export function videoListFindByIdApi(id) {
  return request({
    url: `/userVideo/findById?id=${id}`,
    method: 'get'
  })
}

/**
 * @description 视频列表-删除
 * @param {*}
 * @returns 
 */
export function videoListDelApi(id) {
  return request({
    url: `/userVideo/del?id=${id}`,
    method: 'get'
  })
}